### jsoncons::jsonpointer::jsonpointer_errc

The constant integer values scoped by `jsonpointer_errc` define the values for jsonpointer error codes.

#### Header

```c++
#include <jsoncons_ext/jsonpointer/jsonpointer_error.hpp>
```

### Member constants

constant                            |Description
------------------------------------|------------------------------
`expected_slash`                    |Expected /
`index_exceeds_array_size`          |Index exceeds array size
`expected_0_or_1`                   |Expected '0' or '1' after escape character '~'
`invalid_index`                     |Invalid array index
`name_not_found`                    |Name not found
`key_already_exists`                |Key already exists
`expected_object_or_array`          |Expected object or array 
`end_of_input`                      |Unexpected end of input      




